Subject: Re: bug#51733: 27.1; Detect impossible email addresses better

From: Robert =?utf-8?Q?Plu=C4=ADm?=<[email-masked]>
Date: Wed, 19 Jan 2022 14:39:20 +0100

>>>>> On Wed, 19 Jan 2022 14:02:56 +0100, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Eli Zaretskii <[email-masked]> writes:
    >> Is that expectation reasonable?  I can show you many email addresses
    >> that violate that.

    Lars> It depends on what you mean.  There are no valid email addresses that
    Lars> have non-ASCII name parts -- when we're talking wire format (RFC2047
    Lars> etc), which is what that function is parsing.

I canʼt recall if this is allowed by the standards or not offhand, but
as youʼre probably well aware, the major email providers allow you to
use UTF-8 characters directly in the display name of email adresses,
without using RFC 2047 encoding. In fact, the last time I did any
testing of this, Gmail *replaced* RFC 2047 encoded non-ASCII
characters with their UTF-8 encoding.

Robert
--